From: "Andreas Hüttel" <dilfridge@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-fs/quota/files/, sys-fs/quota/
Date: Sat, 16 Sep 2017 11:54:25 +0000 (UTC) [thread overview]
Message-ID: <1505562827.610af1a698ac2ca712034ff1928d56b51b61458c.dilfridge@gentoo> (raw)
commit: 610af1a698ac2ca712034ff1928d56b51b61458c
Author: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 16 11:53:07 2017 +0000
Commit: Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sat Sep 16 11:53:47 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=610af1a6
sys-fs/quota: Fix build with glibc-2.26 and libtirpc.
Revbump since I'm not 100% sure about side effects if in previous
glibc+libtirpc combinations duplicate headers were installed.
Package-Manager: Portage-2.3.8, Repoman-2.3.3
sys-fs/quota/files/quota-4.04-glibc226.patch | 43 ++++++++++++++
sys-fs/quota/quota-4.04-r1.ebuild | 83 ++++++++++++++++++++++++++++
2 files changed, 126 insertions(+)
diff --git a/sys-fs/quota/files/quota-4.04-glibc226.patch b/sys-fs/quota/files/quota-4.04-glibc226.patch
new file mode 100644
index 00000000000..5f63cde7d42
--- /dev/null
+++ b/sys-fs/quota/files/quota-4.04-glibc226.patch
@@ -0,0 +1,43 @@
+From bbb8819fc0f6ed379a05d635a61bcf9c8986079f Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Andreas=20K=2E=20H=C3=BCttel?= <dilfridge@gentoo.org>
+Date: Sat, 16 Sep 2017 13:09:43 +0200
+Subject: [PATCH] Add $(TIRPC_CFLAGS) globally to CFLAGS for RPC support,
+ needed for libc 2.26
+
+---
+ Makefile.am | 5 ++---
+ 1 file changed, 2 insertions(+), 3 deletions(-)
+
+diff --git a/Makefile.am b/Makefile.am
+index 8d80bee..278290a 100644
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -51,6 +51,8 @@ EXTRA_DIST = \
+ noinst_LIBRARIES = libquota.a
+
+ if WITH_RPC
++CFLAGS += $(TIRPC_CFLAGS)
++
+ rpcsvcdir = $(includedir)/rpcsvc
+ rpcsvc_DATA = \
+ rquota.h \
+@@ -100,8 +102,6 @@ libquota_a_SOURCES = \
+ mntopt.h \
+ pot.c \
+ pot.h
+-libquota_a_CFLAGS = \
+- $(TIRPC_CFLAGS)
+ libquota_a_LIBADD = \
+ $(RPCLIBS)
+
+@@ -235,7 +235,6 @@ rpc_rquotad_SOURCES = \
+ rquota_server.c \
+ rquota_svc.c \
+ svc_socket.c
+-rpc_rquotad_CFLAGS = $(TIRPC_CFLAGS)
+ rpc_rquotad_LDADD = \
+ libquota.a \
+ $(WRAP_LIBS) \
+--
+2.14.1
+
diff --git a/sys-fs/quota/quota-4.04-r1.ebuild b/sys-fs/quota/quota-4.04-r1.ebuild
new file mode 100644
index 00000000000..0fccc223e07
--- /dev/null
+++ b/sys-fs/quota/quota-4.04-r1.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="Linux quota tools"
+HOMEPAGE="https://sourceforge.net/projects/linuxquota/"
+SRC_URI="mirror://sourceforge/linuxquota/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="ldap netlink nls rpc tcpd"
+
+RDEPEND="
+ ldap? ( >=net-nds/openldap-2.3.35 )
+ netlink? (
+ sys-apps/dbus
+ dev-libs/libnl:3
+ )
+ rpc? (
+ net-nds/rpcbind
+ || ( sys-libs/glibc[rpc(-)]
+ (
+ net-libs/rpcsvc-proto
+ )
+ )
+ )
+ tcpd? ( sys-apps/tcp-wrappers )
+"
+DEPEND="
+ ${RDEPEND}
+ nls? ( sys-devel/gettext )
+"
+
+PATCHES=(
+ "${FILESDIR}/${P}-glibc226.patch"
+)
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ --docdir="${EPREFIX%/}/usr/share/doc/${PF}"
+ $(use_enable nls)
+ $(use_enable ldap ldapmail)
+ $(use_enable netlink)
+ $(use_enable rpc)
+ $(use_enable rpc rpcsetquota)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ dodoc doc/* README.* Changelog
+
+ insinto /etc
+ insopts -m0644
+ doins warnquota.conf quotatab
+
+ newinitd "${FILESDIR}"/quota.rc7 quota
+ newconfd "${FILESDIR}"/quota.confd quota
+
+ if use rpc ; then
+ newinitd "${FILESDIR}"/rpc.rquotad.initd rpc.rquotad
+ fi
+
+ if use ldap ; then
+ insinto /etc/openldap/schema
+ insopts -m0644
+ doins "${FILESDIR}"/ldap-scripts/quota.schema
+
+ exeinto /usr/share/quota/ldap-scripts
+ doexe "${FILESDIR}"/ldap-scripts/*.pl
+ doexe "${FILESDIR}"/ldap-scripts/edquota_editor
+ fi
+}
next reply other threads:[~2017-09-16 11:54 UTC|newest]
Thread overview: 8+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-09-16 11:54 Andreas Hüttel [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-04 20:56 [gentoo-commits] repo/gentoo:master commit in: sys-fs/quota/files/, sys-fs/quota/ Mike Gilbert
2022-12-26 8:35 Sam James
2022-09-23 2:54 Sam James
2022-01-13 10:25 Sam James
2020-11-10 13:34 Lars Wendler
2018-09-18 8:54 Lars Wendler
2017-09-05 20:40 Lars Wendler
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1505562827.610af1a698ac2ca712034ff1928d56b51b61458c.dilfridge@gentoo \
--to=dilfridge@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox